﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ACompany.OrderProcessing.Infrastructure.Query
{
    public class Criteria
    {
        private string _property;

        public string PropertyName
        {
            get { return _property; }
            set { _property = value; }
        }

        public object Value { get; set; }
        public CriteriaOperator CriteriaOperator { get; set; }

        public Criteria(string propertyName, object value, CriteriaOperator criteriaOperator)
        {
            _property = propertyName;
            CriteriaOperator = criteriaOperator;
            Value = value;
        }
    }
}
