﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ACompany.OrderProcessing.Model
{
    public interface IOrderService
    {
        Order FindBy(Guid id);
        void Place(Order order);
        void Process(Order order);
        List<Order> GetAllOrdersBy(OrderStatus status);
        IList<Order> FindAllOrdersContainingProductby(Guid productId); 
        void Save(Order order);
        //void Remove(Order order);
        //IList<Order> FindAll();
    }
}
