﻿using System.Collections.Generic;

public class Menu
{

    private string _folder;
    private string _url;
    private string _name;
    private List<SubMenu> _subMenu;

    public Menu(string folder, string name, string url)
    {
        _folder = folder;
        _name = name;
        _url = url;
        _subMenu = new List<SubMenu>();
    }

    public string Folder
    {
        get { return _folder; }
    }

    public string Name
    {
        get { return _name; }
    }

    public string URL
    {
        get { return _url; }
    }

    public List<SubMenu> SubMenu
    {
        get { return _subMenu; }
        set { _subMenu = value; }
    }

}