﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="OrderDetail.aspx.cs"
    Inherits="OrderDetail" Title="Order Detail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <h3>
        <asp:Literal ID="litTitle" runat="server"></asp:Literal></h3>
    <asp:Panel ID="pnlError" runat="server">
        <table style="border: thin solid #FF0000">
            <tr>
                <td>
                    <font color="red"><asp:Literal ID="litErrorMessage" runat="server"></asp:Literal></font>
                </td>
            </tr>
        </table>
        <br />
    </asp:Panel>
    <asp:Panel ID="pnlInfo" runat="server">
        <table style="border: thin solid #00FF00">
            <tr>
                <td>
                    <font color="#00FF00"><asp:Literal ID="litInfoMessage" runat="server"></asp:Literal></font>
                </td>
            </tr>
        </table>
        <br />
    </asp:Panel>
    <table width="100%">
        <tr>
            <td colspan="2" valign="top">
                Order #<asp:Literal ID="litOrderId" runat="server" /><hr />
            </td>
        </tr>
        <tr>
            <td width="20%" valign="top">
                Despatch Address<br />
                <br />
                <strong>
                    <asp:Literal ID="litDespatchName" runat="server" /><br />
                    <asp:Literal ID="litDespatchStreet" runat="server" /><br />
                    <asp:Literal ID="litDespatchCity" runat="server" /><br />
                    <asp:Literal ID="litDespatchCounty" runat="server" /><br />
                    <asp:Literal ID="litDespatchPostcode" runat="server" /><br />
                </strong>
            </td>
            <td width="80%" valign="top">
                Ordered on
                <asp:Literal ID="litOrderDate" runat="server" />
                at
                <asp:Literal ID="litOrderTime" runat="server" />
                <table>
                    <tr>
                        <td>
                            <br />
                            Items Ordered:
                        </td>
                    </tr>
                </table>
                <asp:GridView ID="grdOrderItems" runat="server" AutoGenerateColumns="False" CellPadding="4"
                    ForeColor="#333333" GridLines="None">
                    <RowStyle BackColor="#EFF3FB" />
                    <Columns>
                        <asp:TemplateField HeaderText="Product">
                            <ItemTemplate>
                                <%#Eval("Product.Name")%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Qty" HeaderText="Qty" SortExpression="Qty" />
                        <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Price" SortExpression="Price" />
                    </Columns>
                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <EditRowStyle BackColor="#2461BF" />
                    <AlternatingRowStyle BackColor="White" />
                </asp:GridView>
            </td>
        </tr>
    </table>
    <p>
        <asp:Button ID="btnShip" runat="server" Text="Ship" onclick="btnShip_Click" />
        &nbsp;<asp:Button ID="btnCancel" runat="server" Text="Cancel" 
            onclick="btnCancel_Click" />
    </p>
</asp:Content>
