﻿using System.Collections.Generic;
using ACompany.OrderProcessing.Model;
using System.Collections.ObjectModel;
using ACompany.OrderProcessing.Presentation;


public interface ICreateOrderView : IBaseView
{

	List<Customer> Customers { set; }
	bool SelectCustomerButtonEnabled { set; }
	List<Product> Products { set; }

	bool SelectProductButtonEnabled { set; }
	Order Order { get; }
	ReadOnlyCollection<Item> OrderItems { set; }

	bool CreateOrderButtonEnabled { set; }
	string CustomerName { set; }
	string Street { set; }
	string City { set; }
	string County { set; }

	string PostCode { set; }

	void clearOrder();
}