﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductList.ascx.cs" Inherits="Product_ProductList" %>
<asp:Panel ID="pnlError" runat="server">
    <table style="border: thin solid #FF0000">
        <tr>
            <td>
                <asp:Label ID="litErrorMessage" runat="server" ForeColor="Red"></asp:Label>
            </td>
        </tr>
    </table>
    <br />
</asp:Panel>
<asp:Panel ID="pnlInfo" runat="server">
    <table style="border: thin solid #00FF00">
        <tr>
            <td>
                <asp:Label ForeColor="#00FF00" ID="litInfoMessage" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <br />
</asp:Panel>
<asp:GridView ID="grdProducts" runat="server" AutoGenerateColumns="False" CellPadding="4"
    ForeColor="#333333" GridLines="None" OnRowCommand="grdProducts_RowCommand">
    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <RowStyle BackColor="#EFF3FB" />
    <Columns>
        <asp:BoundField DataField="Name" HeaderText="Name" />
        <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Price" />
        <asp:BoundField DataField="Stock" HeaderText="Stock" />
        <asp:HyperLinkField DataNavigateUrlFields="Id" Text="Edit" DataNavigateUrlFormatString="ProductDetail.aspx?Action=Detail&amp;ProductId={0}" />
        <asp:TemplateField ShowHeader="False">
            <ItemTemplate>
                <asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandArgument='<%#Eval("Id") %>'
                    CommandName="DeleteProduct" Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this product?');"></asp:LinkButton>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <EditRowStyle BackColor="#2461BF" />
    <AlternatingRowStyle BackColor="White" />
</asp:GridView>
<br />
<asp:Button ID="btnAddProduct" OnClick="btnAddProduct_Click" runat="server" Text="Add Product" />